import { Signal } from '@robotlegsjs/signals';
interface SignalsState {
    windowResize: Signal;
    cameraObjectChange: Signal;
    sceneChanged: Signal;
    backgroundChanged: Signal;
    beforeRender: Signal;
    sceneRendered: Signal;
    tweenUpdate: Signal;
    hover: Signal;
    click: Signal;
    dblClick: Signal;
    rightClick: Signal;
    mouseDown: Signal;
    mouseMove: Signal;
    mouseUp: Signal;
    mouseWheel: Signal;
    keyDown: Signal;
    keyUp: Signal;
    modelHover: Signal;
    modelUnHover: Signal;
    modelClick: Signal;
    modelDblClick: Signal;
    modelRightClick: Signal;
    poiHover: Signal;
    poiUnHover: Signal;
    poiClick: Signal;
    poiDblClick: Signal;
    poiRightClick: Signal;
    selectPosition: Signal;
    sceneClick: Signal;
    objectAdded: Signal;
    objectRemoved: Signal;
    objectChanged: Signal;
    geometryChanged: Signal;
    materialAdded: Signal;
    materialChanged: Signal;
    materialRemoved: Signal;
    cameraChange: Signal;
    outlineChange: Signal;
    modelAnimation: Signal;
    getSceneInfo: Signal;
    thingModelPropsChange: Signal;
    [x: string]: Signal;
}
export { SignalsState, };
