import { MeshBasicMaterial, MeshPhongMaterial, ShapeGeometry, Texture } from 'three';
import { IVector3, PoiMeshOptions } from '../Interface';
import { BaseMesh } from './BaseMesh';
interface PolygonPoiMeshInfo extends PoiMeshOptions {
    points: IVector3[];
}
declare class PolygonPoiMesh extends BaseMesh {
    image: PoiMeshOptions['image'];
    geometry: ShapeGeometry;
    material: MeshPhongMaterial | MeshBasicMaterial;
    constructor(params: PolygonPoiMeshInfo, textureCache?: Map<string, Texture>);
}
export { PolygonPoiMesh, PolygonPoiMeshInfo, };
