import DefaultManage from './DefaultManage';
import Viewport from '../Viewport';
import { PoiNode, PoiNodeInfo, Group, GroupInfo } from '../Library';
import { ObjectsCache } from '../Cache';
declare class PoiNodeManage extends DefaultManage {
    readonly viewport: Viewport;
    readonly cache: ObjectsCache;
    constructor(viewport: Viewport, cache: ObjectsCache);
    create(info: PoiNodeInfo): PoiNode;
    createToGroup(groupInfo: GroupInfo, poiNodeInfo: PoiNodeInfo[]): Group;
    addForGroup(group: Group | null, poiNodeInfo: PoiNodeInfo[]): Group | null;
    _openEnableRenderCss(info: PoiNodeInfo): void;
}
export default PoiNodeManage;
