import { Texture, CubeTexture, DataTexture } from 'three';
import { GetTextureOptions, IColor } from '../Interface';
declare function getTexture({ path, file, }: GetTextureOptions): Promise<CubeTexture | DataTexture | Texture>;
export { getTexture, };
interface GradientTextureOptions {
    colors: IColor[];
    stops?: number[];
    size?: number;
}
declare function gradientTexture(options?: GradientTextureOptions): Texture | null;
export { GradientTextureOptions, gradientTexture, };
