import { ImageLoader, TextureLoader } from 'three';
import { RGBELoader } from 'three/examples/jsm/loaders/RGBELoader.js';
export type FileResponseType = 'json' | 'arraybuffer' | 'blob' | 'document' | 'text';
export declare const fetchFile: <T = any>(url: string, responseType: FileResponseType) => Promise<T>;
export declare const imageLoader: ImageLoader;
export declare const textureLoader: TextureLoader;
export declare const rgbeLoader: RGBELoader;
