import Viewport from '../Viewport';
import CameraControls from 'camera-controls';
import { ControlsOptions } from '../Interface';
declare class Controls extends CameraControls {
    readonly viewport: Viewport;
    dollySpeed: number;
    azimuthRotateSpeed: number;
    polarRotateSpeed: number;
    truckSpeed: number;
    draggingSmoothTime: number;
    constructor(viewport: Viewport);
    setOptions(options: ControlsOptions): void;
}
export default Controls;
