export interface MaterialsCache {
    [key: string]: {
        materialInfo: number[];
        textureUrl?: string;
    };
}
export interface MeshsCache {
    [key: string]: {
        meshName?: string;
        materialId: string;
        position: ArrayBuffer;
        uv: ArrayBuffer;
        normal?: ArrayBuffer;
    };
}
export interface SbmCache {
    materialsCache: MaterialsCache;
    meshsCache: MeshsCache;
}
