import { Object3D } from 'three';
import Viewport from '../Viewport';
import { Group, GroupInfo, Canvas3D, Canvas3DInfo } from '../Library';
import DefaultManage from './DefaultManage';
import { ObjectsCache } from '../Cache';
declare class Canvas3DManage extends DefaultManage {
    readonly viewport: Viewport;
    readonly cache: ObjectsCache;
    constructor(viewport: Viewport, cache: ObjectsCache);
    create(info: Canvas3DInfo, parent?: Object3D | null): Canvas3D;
    createToGroup(groupInfo: GroupInfo, canvas3DInfo: Canvas3DInfo[]): Group;
    addForGroup(group: Group | null, canvas3DInfo: Canvas3DInfo[]): Group | null;
}
export default Canvas3DManage;
