import { Object3D } from 'three';
import Viewport from '../Viewport';
import { Group, GroupInfo, BaseObject3D } from '../Library';
declare class DefaultManage {
    readonly type: string;
    readonly viewport: Viewport;
    readonly objectsCache: Set<Object3D>;
    readonly scene: import("three").Scene;
    constructor(type: string, viewport: Viewport, objectsCache: Set<Object3D>);
    /***
     * group
     */
    createGroup(groupInfo: GroupInfo, parent?: Object3D | null): Group;
    clear(): void;
    getAll<T = BaseObject3D>(): T[];
    hideAll(): void;
    showAll(): void;
}
export default DefaultManage;
