import { Object3D } from 'three';
import DefaultManage from './DefaultManage';
import { PluginObject, PluginObjectInfo } from '../Library';
import Viewport from '../Viewport';
import { ObjectsCache } from '../Cache';
declare class PluginManage extends DefaultManage {
    readonly viewport: Viewport;
    readonly cache: ObjectsCache;
    constructor(viewport: Viewport, cache: ObjectsCache);
    createObject(info: PluginObjectInfo, object?: Object3D): PluginObject;
    addToObject(pluginObject: PluginObject | null, object: Object3D): PluginObject | null;
}
export default PluginManage;
