import { WorkerPool } from 'three/examples/jsm/utils/WorkerPool.js';
import { BaseId, Dijkstras, InputGraph } from './index';
declare class DijkstraWorker {
    readonly dijkstra: Dijkstras;
    workerPool: WorkerPool;
    workerSourceURL: string | null;
    _mainThreadGraph: InputGraph;
    _needsUpdateGraph: boolean;
    constructor(dijkstra: Dijkstras);
    getPath(source: BaseId, target: BaseId): Promise<BaseId[]>;
    dispose(): void;
}
export { DijkstraWorker, };
