import { BufferGeometry } from 'three';
import { WorkerPool } from 'three/examples/jsm/utils/WorkerPool.js';
import { MeshBVH } from 'three-mesh-bvh';
declare class GenerateMeshBVHWorker {
    workerPool: WorkerPool;
    constructor();
    generate(geometry: BufferGeometry, options?: any): Promise<MeshBVH | undefined>;
    dispose(): void;
}
declare const generateMeshBVHWorker: GenerateMeshBVHWorker;
export { GenerateMeshBVHWorker, generateMeshBVHWorker, };
