import { Camera, Object3D, WebGLRenderer } from 'three';
import Controls from '../Controls';
declare class ViewHelper extends Object3D {
    camera: Camera;
    controls: Controls;
    setLabels: (labelX: string, labelY: string, labelZ: string) => void;
    setLabelStyle: (font: string, color: string, radius: number) => void;
    render: (renderer: WebGLRenderer) => void;
    handleClick: (event: MouseEvent) => void;
    dispose: () => void;
    isViewHelper: boolean;
    animating: boolean;
    constructor(camera: Camera, domElement: HTMLElement, controls: Controls);
}
export { ViewHelper, };
